package net.booden.mobiletictactoe;

/**
 *
 * @author Ronald Booden
 */
public class MobileTicTacToeLocalPlay implements IMobileTicTacToePlayType {

    private final int keyOffset = 49;
    private MobileTicTacToeGame game;

    public void readKey(int keyCode) {
        int position = keyCode - keyOffset;
        if(game != null && !game.isGameEnd() && position >= 0 && position <=8)
            game.move(position);
        if(game != null && game.isGameEnd() && keyCode == -5)
            game.initGame();
    }

    public String getStatus() {
        return "Disconnected";
    }

    public String getPlay() {
        if(game != null && game.isGameEnd())
        {
            if(game.getWinner() == 'x') return "X wins";
            if(game.getWinner() == 'o') return "O wins";
            return "No winner this time!";
        }
        return "Local play enabled";
    }

    public void setGame(MobileTicTacToeGame game) {
        this.game = game;
    }
}
