package net.booden.mobiletictactoe;

/**
 *
 * @author Ronald Booden
 */
public class MobileTicTacToeLocalPlay implements IMobileTicTacToePlayType {

    private final int keyOffset = 49;
    private MobileTicTacToeGame game;

    public void dispose() {
        
    }

    public void readKey(int keyCode) {
        int position = keyCode - keyOffset;
        processMove(position);
    }

    public void readPointer(int areaNumber) {
        if(game.isGameEnd()) processMove(-54);
        else processMove(areaNumber);
    }

    private void processMove(int pos) {
         if(game != null && !game.isGameEnd() && pos >= 0 && pos <=8)
            game.move(pos);
        if(game != null && game.isGameEnd() && pos == -54)
            game.initGame();
    }

    public String getStatus() {
        return "Disconnected";
    }

    public String getPlay() {
        if(game != null && game.isGameEnd())
        {
            if(game.getWinner() == 'x') return "X wins";
            if(game.getWinner() == 'o') return "O wins";
            return "No winner this time!";
        }
        return "Local play enabled";
    }

    public void setGame(MobileTicTacToeGame game) {
        this.game = game;
    }
}
